
extends _base.pug

block title
  span Computed Example

block ssvg
  input.custom-input.w-100#input(type="range" value="0" min='-40' max='120')
  s-svg#ssvg
    svg#svg(height="40vh" width="100%" viewBox='0 0 136.5564 160.29932' xmlns="http://www.w3.org/2000/svg" version='1.1')
      path#cup(d='M 9.556 50.8 C 4.873 50.8 1.09 54.584 1.09 59.267 L 1.09 110.067 C 1.09 124.09 12.467 135.467 26.49 135.467 L 77.29 135.467 C 91.313 135.467 102.69 124.09 102.69 110.067 L 106.923 110.067 C 123.274 110.067 136.556 96.785 136.556 80.433 C 136.556 64.082 123.274 50.8 106.923 50.8 Z M 102.69 67.733 L 106.923 67.733 C 113.935 67.733 119.623 73.422 119.623 80.433 C 119.623 87.445 113.935 93.133 106.923 93.133 L 102.69 93.133 Z')
      g#steam
        path(fill='#ce2b14' d='M 64.352 38.761 C 64.696 40.799 66.468 42.333 68.585 42.333 L 72.951 42.333 C 75.544 42.333 77.607 40.084 77.263 37.571 C 76.258 30.11 72.924 23.23 67.58 17.806 C 63.77 13.917 61.335 8.996 60.595 3.651 C 60.304 1.561 58.504 0 56.335 0 L 51.996 0 C 49.403 0 47.365 2.249 47.683 4.762 C 48.715 13.203 52.445 20.981 58.425 27.093 C 61.6 30.321 63.637 34.369 64.352 38.761 Z')
        path(fill='#ce2b14' d='M 34.718 38.761 C 35.062 40.799 36.835 42.333 38.952 42.333 L 43.317 42.333 C 45.91 42.333 47.974 40.084 47.63 37.571 C 46.625 30.11 43.291 23.23 37.946 17.806 C 34.136 13.917 31.702 8.996 30.961 3.651 C 30.67 1.561 28.871 0 26.701 0 L 22.362 0 C 19.769 0 17.759 2.249 18.05 4.762 C 19.081 13.203 22.812 20.981 28.792 27.093 C 31.967 30.321 34.004 34.369 34.718 38.761 Z')
      path#ice(fill='#bfd6f6' d='M 100.389 58.635 C 101.115 54.411 98.151 50.508 94.224 50.508 L 6.279 50.508 C 2.078 50.508 -0.945 54.947 0.272 59.342 L 17.37 117.963 C 17.861 119.507 19.863 119.507 20.334 117.963 L 27.48 91.354 L 36.157 131.514 C 36.53 133.294 38.846 133.294 39.219 131.514 L 48.347 89.296 L 55.042 117.899 C 55.493 119.528 57.594 119.528 58.045 117.899 L 67.036 80.912 L 80.13 158.916 C 80.463 160.76 82.878 160.76 83.212 158.916 Z')

      state.
        transition(duration="2500ms" timing-function='ease-in-out' type='direct')
        property(name="temperature" type="number" min='-80' max='180' initial='0')
        computed(name='freezing' type='boolean' onupdate='$state.temperature <= 0')
          relation(query-selector='#ice' attribute-name='opacity' from='0' to='1')
        computed(name='hot' type='boolean' onupdate='$state.temperature >= 40')
          relation(query-selector='#steam' attribute-name='opacity' from='0' to='1')

  script(src=basePath + "/dist/ssvg-engine.js")
  script.
    ssvg.plugin();
    $(document).ready(() => {
      const ssvg = $('#ssvg');
      const input = $('#input');

      input.on('input', function() {
        ssvg.get(0).setState({ temperature: this.value });
      });
    });
